[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# InitializeArray

Initialize managed-type elements in array

## Declaration

Source position: rttih.inc line 40

`procedure InitializeArray(`
`p: Pointer;`
`typeInfo: Pointer;`
`count: SizeInt`
`);`

## Description

InitializeArray initializes managed types in the array pointed to by p. For this, it uses the type information of the elements as specified in typeinfo.

Under normal circumstances, this procedure should not be used, it is called automatically by the compiler when an array-typed variable is declared and the array contains elements with managed types.

## See also

FinalizeArray |  | Finalize managed-type elements in array
CopyArray |  | Copy managed-type elements in array